- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# loopif.c File Reference

`#include "net/debug.h"`
`#include "net/mem.h"`
`#include "net/opt.h"`
`#include "netif/loopif.h"`
`#include "netif/tcpdump.h"`
`#include "net/tcp.h"`
`#include "net/ipv4/ip.h"`

Go to the source code of this file.

## Functions
void | loopif_init (struct netif *netif)
static err_t | loopif_output (struct netif *netif, struct pbuf *p, struct ip_addr *ipaddr)

## Function Documentation

void loopif_init | ( | struct netif * | netif | ) |

Definition at line 71 of file loopif.c.

References loopif_output(), netif::name, and netif::output.

Referenced by netMainThread().

static err_t loopif_output | ( | struct netif * | netif,
|  | struct pbuf * | p,
|  | struct ip_addr * | ipaddr |
| ) |  |  | `[static]`

Definition at line 46 of file loopif.c.

References bcopy(), ERR_MEM, ERR_OK, netif::input, pbuf::len, pbuf::next, NULL, pbuf::payload, pbuf_alloc(), PBUF_RAM, PBUF_RAW, tcpdump(), and pbuf::tot_len.

Referenced by loopif_init().